#ifndef _CSONGPARSER_H_
#define _CSONGPARSER_H_

#include <vector>

class CSongParser
{
	std::vector<unsigned int> m_fvBeatTimes;
	int m_nSoundID;
public:
	CSongParser(void);
	~CSongParser(void);

	void SetupSong(int nSoundID, double difficultyModifier);
	void SaveFile(char* pSongLocation);
};

#endif